USE <your_db_name_here>
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

/*
* Author: Harar Zafrir, zafrir@hpe.com
* Maintainer: Vlad Moldovan, moldovan@hpe.com
*
* Version: 4.2
*
* Last update: 2016-DEC-01
*
* This table is meant to accommodate log information from the OOIndexMaintenance
* procedures (via the OOCmdExec procedure which is used as a utility procedure)
*
* Verified on Microsoft SQL Server 2008R2, 2012 and 2014
*
* ----------------------------------------------------------------------------------------------
* Change List
* ------------
* 2014-JUN-19 [2.1] No code changes, just an alignment of the version number.
* 2014-AUG-13 [3.0] HP OO 10.20 - no code changes, just an alignment of the version number.
* 2015-FEB-01 [3.1] No changes in this script,
*                   OOPurgeHistory.sql fixed - varchar to integer conversion overflow
* 2015-AUG-23 [3.5] No changes in this script, cross-db maintenance scripts version alignment
* 2015-NOV-04 [3.7] No changes in this script, HPE OO 10.60 adaptations
* 2016-MAY-16 [4.0] No changes, maintenance package version alignment
* 2016-AUG-09 [4.1] HPE OO 10.70 adaptations
* 2016-DEC-01 [4.2] DB Maintenance Package alignment - no changes
* ----------------------------------------------------------------------------------------------
*/

CREATE TABLE [dbo].[OO_DB_MAINTENANCE_LOG](
[ID] int IDENTITY(1,1) NOT NULL CONSTRAINT [PK_OO_DB_MAINTENANCE_LOG] PRIMARY KEY CLUSTERED,
[DatabaseName] sysname NULL,
[SchemaName] sysname NULL,
[ObjectName] sysname NULL,
[ObjectType] char(2) NULL,
[IndexName] sysname NULL,
[IndexType] tinyint NULL,
[StatisticsName] sysname NULL,
[PartitionNumber] int NULL,
[ExtendedInfo] xml NULL,
[Command] nvarchar(max) NOT NULL,
[CommandType] nvarchar(60) NOT NULL,
[StartTime] datetime NOT NULL,
[EndTime] datetime NULL,
[ErrorNumber] int NULL,
[ErrorMessage] nvarchar(max) NULL
)
GO
