/*
* Author: Harar Zafrir zafrir@hpe.com
* Maintainer: Vlad Moldovan, moldovan@hpe.com
*
* Version: 4.2
*
* Last update: 2016-DEC-01
*
* This script creates a test table in HPE OO's MS-SQL database
* to verify that object creation privileges are provided.
* Verified on Microsoft SQL Server 2008R2, 2012 and 2014.
*
* Usage:
* ------
* Edit this script and replace *ALL OCCURANCES* of "<your_db_name_here>"
* with the actual name of HPE OO database.
*
* -----------------------------------------------------------------------------
* Change List
* -----------------------------------------------------------------------------
* 2016-JUN-19 [1.0] First version
* 2016-AUG-09 [1.1] HPE OO 10.70 alignment - no changes
* 2016-DEC-01 [4.2] DB Maintenance Package alignment - no changes
* -----------------------------------------------------------------------------
*/

USE <your_db_name_here>
GO

CREATE TABLE [dbo].[TEST_TABLE]([TEST_COLUMN] INTEGER NULL)
GO

INSERT INTO [dbo].[TEST_TABLE] ([TEST_COLUMN]) VALUES ( 1 );
INSERT INTO [dbo].[TEST_TABLE] ([TEST_COLUMN]) VALUES ( 2 );
GO

SELECT * FROM [dbo].[TEST_TABLE];
GO

DROP TABLE [dbo].[TEST_TABLE];
GO