/*
* Author: Harar Zafrir zafrir@hpe.com
* Maintainer: Vlad Moldovan, moldovan@hpe.com
*
* Version: 4.2
*
* Last update: 2016-DEC-01
*
* This script serves as an example for executing purge stored procedure
* See Database Maintenance document for detailed description
* of the parameters and functionality of the stored procedure
* Verified on Microsoft SQL Server 2008R2, 2012 and 2014.
*
* Usage:
* ------
* Edit this script and replace "<your_db_name_here>" with the actual name of HPE OO database
* Modify parameter values according to the explanation in HPE OO's Database Guide
* Connect to the database server using the same credentials used by central server and execute it
*
* -----------------------------------------------------------------------------
* Change List
* -----------------------------------------------------------------------------
* 2016-MAR-03 [1.0] First version
* 2016-MAY-16 [4.0] No changes, maintenance package version alignment
* 2016-AUG-09 [4.1] HPE OO 10.70 adaptations
* 2016-DEC-01 [4.2] DB Maintenance Package alignment - no changes
* -----------------------------------------------------------------------------
*/

USE <your_db_name_here>
GO

EXECUTE [dbo].[OOPurgeHistory]
  @PurgeExecutionsOlderThan = 90
  ,@PurgeExecutionsInBatchesOf = 10000
  ,@ShouldPurgeExecutionSummary = 0
  ,@verbose = 1
  ,@StopPurgingProcessAfter = 4
  ,@DeepClean = 0
  ,@DisableIndexes = 0
  ,@DelayInMiliSecPerBatch = 0
GO
