/*
* Author: Harar Zafrir zafrir@hpe.com
* Maintainer: Vlad Moldovan, moldovan@hpe.com
*
* Version: 4.2
*
* Last update: 2016-DEC-01
*
* This script serves as an example for executing purge stored procedure
* See Database Maintenance document for detailed description
* of the parameters and functionality of the stored procedure
* Verified on Oracle 11g and 12c
*
* Usage:
* ------
* 1. Edit the stored procedure parameters below according to your preferences
* 2. Connect to OO's database using the same credentials used by central server
* 3. Execute this script
*
* -----------------------------------------------------------------------------
* Change List
* -----------------------------------------------------------------------------
* 2016-MAY-16 [4.0] First version
* 2016-AUG-09 [4.1] HPE OO 10.70 adaptations
* 2016-DEC-01 [4.2] DB Maintenance Package alignment - no changes
* -----------------------------------------------------------------------------
*/

-- SET parameters for sqlplus client. May be commented out if irrelevant
SET serveroutput ON SIZE 100000
SET LINESIZE 15000
SET PAGESIZE 1500

DECLARE x integer := 0;
BEGIN
  hpe_oo_db_maint.PurgeHistory(
    14,     /* PurgeExecutionsOlderThan */
    10000,  /* PurgeExecutionsInBatchesOf */
    0,      /* ShouldPurgeExecutionSummary */
    1,      /* Verbose */
    4,      /* StopPurgingProcessAfter */
    0,      /* DeepClean */
    0,      /* DisableIndexes */
    x       /* ReturnValue */
  );
  DBMS_OUTPUT.put_line('A total of ' || TO_CHAR(x) || ' flows were handled.');
END;
/
exit
