/*
* Author: Harar Zafrir, zafrir@hpe.com
* Maintainer: Vlad Moldovan, moldovan@hpe.com
* Version: 4.2
* Last update: 2016-DEC-01
*
* -----------------------------------------------------------------------------
* Change List
* ------------
* 2014-JUN-19 [2.1] Adding version banner
*                   No default for pPurgeExecutionsOlderThan. Must be specified.
* 2014-AUG-13 [3.0] HP OO 10.20 modifications
* 2015-FEB-01 [3.1] No implications - MS-SQL fix
* 2015-APR-13 [3.2] Fix for million-bindings flow
* 2015-AUG-23 [3.5] No changes in this package, cross-db maintenance scripts version alignment
* 2015-OCT-15 [3.6] Adding ForceLobShrink procedure
* 2015-NOV-04 [3.7] HPE OO 10.60 adaptations
* 2016-MAR-16 [3.8] Utilize "RETURNING" for better efficiency,
*                   force numeric EXECUTION_ID sort, adding "disable index" feature
* 2016-MAY-16 [4.0] Assorted improvements, cross-DB-cross-release package version alignment
* 2016-AUG-09 [4.1] HPE OO 10.70 adaptations
* 2016-DEC-01 [4.2] DB Maintenance Package alignment - no changes
* -----------------------------------------------------------------------------
*/
CREATE OR REPLACE PACKAGE hpe_oo_db_maint AS
   FUNCTION CurrentEPOCHMS RETURN NUMBER;
   PROCEDURE PurgeHistory(
    pPurgeExecutionsOlderThan IN INTEGER := -1,
    pPurgeExecutionsInBatchesOf IN INTEGER := 10000,
    pShouldPurgeExecutionSummary IN INTEGER := 0,
    pVerbose IN INTEGER := 1,
    pStopPurgingProcessAfter IN INTEGER := 4,
	pDeepClean IN INTEGER := 0,
    pDisableIndexes IN INTEGER := 0,
    pReturnValue OUT INTEGER);
   PROCEDURE IndexMaintenance(
    pMaxHeight IN INTEGER := 3,
    pMaxLeafsDeleted IN INTEGER := 15,
    pRebuild IN INTEGER := 1,
    pReturnValue OUT INTEGER);
   PROCEDURE ForceLobShrink (pReturnValue OUT INTEGER);
END hpe_oo_db_maint;
/
