/*
* Author: Harar Zafrir zafrir@hpe.com
* Maintainer: Vlad Moldovan, moldovan@hpe.com
*
* Version: 4.2
*
* Last update: 2016-DEC-01
*
* This script serves as an example for executing index maintenance procedure
* See Database Maintenance document for detailed description
* of the parameters and functionality of the stored procedure
* Verified on Oracle 11g and 12c
*
* Usage:
* ------
* 1. Connect to OO's database using the same credentials used by central server
* 2. Execute this script
*
* -----------------------------------------------------------------------------
* Change List
* -----------------------------------------------------------------------------
* 2016-JUN-19 [4.0] First version
* 2016-AUG-09 [4.1] HPE OO 10.70 adaptations
* 2016-DEC-01 [4.2] DB Maintenance Package alignment - no changes
* -----------------------------------------------------------------------------
*/

-- SET parameters for sqlplus client. May be commented out if irrelevant
SET serveroutput ON SIZE 100000
SET LINESIZE 15000
SET PAGESIZE 1500

DECLARE x integer := 0;
BEGIN
  hpe_oo_db_maint.IndexMaintenance(
    3,   /* pMaxHeight */
    15,  /* pMaxLeafsDeleted */
    1,   /* pRebuild */
    x    /* pReturnValue */
  );
  DBMS_OUTPUT.put_line('A total of ' || TO_CHAR(x) || ' indexes were handled.');
END;
/

-- Uncomment if you wish to automatically close session
-- exit
