/*
* Author: Harar Zafrir zafrir@hpe.com
* Maintainer: Vlad Moldovan, moldovan@hpe.com
*
* Version: 4.2
*
* Last update: 2016-DEC-01
*
* This script creates an "OO-certified" databse in Oracle
* Verified on Oracle 11g and 12c
*
* Usage:
* ------
* 1. Edit this script and set OOUSER, OOPASS, DEFTBS and TMPTBS
*    to match your environment
*
* 2. Connect as SYSTEM (or another sufficiently-privileged user) and execute it
*
* Parameters:
* -----------------------------------------------------------------------------
*
* OOUSER:
*       The name of the created database/user - PLEASE EDIT!
*
* OOPASS:
*       A password for the database/user - PLEASE EDIT!
*
* DEFTBS:
*       Default tablespace for OO's database - PLEASE EDIT!
*
* TMPTBS:
*       Default temporary tablespace for OO's database - PLEASE EDIT!
*
* Return Values:
* -----------------------------------------------------------------------------
* None
*
* -----------------------------------------------------------------------------
* Change List
* -----------------------------------------------------------------------------
* 2016-MAR-03 [1.0] First version
* 2016-MAY-16 [4.0] No changes, maintenance package version alignment
* 2016-AUG-09 [4.1] HPE OO 10.70 adaptations
* 2016-DEC-01 [4.2] DB Maintenance Package alignment - no changes
* -----------------------------------------------------------------------------
*/

DEFINE OOUSER=myOODB
DEFINE OOPASS=my00DBComplexPa5sword
DEFINE DEFTBS=USERS
DEFINE TMPTBS=TEMP

CREATE USER &&OOUSER
IDENTIFIED BY &&OOPASS
DEFAULT TABLESPACE &&DEFTBS TEMPORARY TABLESPACE &&TMPTBS
QUOTA UNLIMITED ON &&DEFTBS ACCOUNT UNLOCK;
GRANT CONNECT TO &&OOUSER;

GRANT CREATE VIEW, CREATE SEQUENCE, CREATE TABLE, CREATE PROCEDURE TO &&OOUSER;
/

-- Uncomment if you wish to automatically close session
--exit
