/*
* Author: Harar Zafrir zafrir@hpe.com
* Maintainer: Vlad Moldovan, moldovan@hpe.com
*
* Version: 4.2
*
* Last update: 2016-DEC-01
*
* This script creates a test table in HPE OO's Oracle database
* to verify that object creation privileges are provided.
* Verified on Oracle 11g and 12c.
*
* -----------------------------------------------------------------------------
* Change List
* -----------------------------------------------------------------------------
* 2016-JUN-19 1.0 First version
* 2016-DEC-01 [4.2] DB Maintenance Package alignment - no changes
* -----------------------------------------------------------------------------
*/

CREATE TABLE TEST_TABLE (TEST_COLUMN INTEGER NULL);

INSERT INTO TEST_TABLE (TEST_COLUMN) VALUES ( 1 );
INSERT INTO TEST_TABLE (TEST_COLUMN) VALUES ( 2 );
COMMIT;

SELECT * FROM TEST_TABLE;

DROP TABLE TEST_TABLE PURGE;
/